Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class MenuShortcut

    java.lang.Object
      |
      +--java.awt.MenuShortcut

All Implemented Interfaces:
  Serializable

public class MenuShortcut
extends Object
implements Serializable

The `MenuShortcut`class represents a keyboard accelerator for a MenuItem.

Menu shortcuts are created using virtual keycodes, not characters. For example, a menu shortcut for Ctrl-a would be created with code like the following:

MenuShortcut ms = new MenuShortcut(KeyEvent.VK_A, false);

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`MenuShortcut(int key)` Constructs a new MenuShortcut for the specified virtual keycode.
`MenuShortcut(int key, boolean useShiftModifier)` Constructs a new MenuShortcut for the specified virtual keycode.

Method Summary
`boolean` | `equals(MenuShortcut s)` Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
`boolean` | `equals(Object obj)` Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
`int` | `getKey()` Returns the raw keycode of this MenuShortcut.
`int` | `hashCode()` Returns the hashcode for this MenuShortcut.
`protected String` | `paramString()` Returns the parameter string representing the state of this MenuShortcut.
`String` | `toString()` Returns an internationalized description of the MenuShortcut.
`boolean` | `usesShiftModifier()` Returns whether this MenuShortcut must be invoked using the SHIFT key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuShortcut

    public MenuShortcut(int key)

  Constructs a new MenuShortcut for the specified virtual keycode.

Parameters:
  `key` - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a `KeyEvent` if this key were pressed.
See Also:
  `KeyEvent`

### MenuShortcut

    public MenuShortcut(int key,
                        boolean useShiftModifier)

  Constructs a new MenuShortcut for the specified virtual keycode.

Parameters:
  `key` - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a `KeyEvent` if this key were pressed.
  `useShiftModifier` - indicates whether this MenuShortcut is invoked with the SHIFT key down.
See Also:
  `KeyEvent`

Method Detail

### getKey

    public int getKey()

  Returns the raw keycode of this MenuShortcut.

  Returns:
    the raw keycode of this MenuShortcut.
  Since:
    JDK1.1
See Also:
  `KeyEvent`

### usesShiftModifier

    public boolean usesShiftModifier()

  Returns whether this MenuShortcut must be invoked using the SHIFT key.

  Returns:
    `true` if this MenuShortcut must be invoked using the SHIFT key, `false` otherwise.
  Since:
    JDK1.1

### equals

    public boolean equals(MenuShortcut s)

  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

  Parameters:
    `s` - the MenuShortcut to compare with this.
  Returns:
    `true` if this MenuShortcut is the same as another, `false` otherwise.
  Since:
    JDK1.1

### equals

    public boolean equals(Object obj)

  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Object to compare with this.
  Returns:
    `true` if this MenuShortcut is the same as another, `false` otherwise.
  Since:
    1.2
See Also:
  `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns the hashcode for this MenuShortcut.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode for this MenuShortcut.
  Since:
    1.2
See Also:
  `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Returns an internationalized description of the MenuShortcut.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this MenuShortcut.
  Since:
    JDK1.1

### paramString

    protected String paramString()

  Returns the parameter string representing the state of this MenuShortcut. This string is useful for debugging.

  Returns:
    the parameter string of this MenuShortcut.
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.